﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;

namespace CondFormattingInCodeIssue
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { ID = i, Name = i % 3 == 0 ? "Name 1" : "Item " + i, });
            }
            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }

        private void xamGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            TextColumn id = new TextColumn();
            id.Key = "ID";

            TemplateColumn name = new TemplateColumn();
            name.Key = "Name";
            name.ItemTemplate = Resources["NameTemplate"] as DataTemplate;

            EqualToConditionalFormatRule rule = new EqualToConditionalFormatRule();
            rule.Value = "Name 1";
            rule.StyleScope = StyleScope.Row;
            rule.StyleToApply = Resources["NameFormatStyle"] as Style;

            name.ConditionalFormatCollection.Add(rule);

            xamGrid1.ConditionalFormattingSettings.AllowConditionalFormatting = true;

            xamGrid1.Columns.Add(id);
            xamGrid1.Columns.Add(name);
        }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }

}
